---
title: /home
layout: home
permalink: /index.html
---

<h2>Understand and mitigate security threats others won't see coming.</h2>

We believe security compromises to your systems and personnel are *inevitable*. Allow our team of expert technologists to help you reduce the likelihood and impact of security risks by thinking from first principles.
<br/>
<a href="/contact.html" class="action-button">Request a Quote</a>
<br/>

---

<section>
  <h4>Some of the companies we have provided security services for include...</h4>
  <br />
  <div class="flex-container companies">
    <div>
      <a href="https://bitgo.com">
        <img src="assets/base/companies/bitgo-logo-white.svg" />
      </a>
    </div>
    <div>
      <a href="https://coinbase.com">
        <img src="assets/base/companies/coinbase-logo-blue.svg" />
      </a>
    </div>
    <div>
      <a href="https://bishopfox.com">
        <img src="assets/base/companies/bishop-fox-dark.png" />
      </a>
    </div>
    <div>
      <a href="http://www.ledn.io/">
        <img src="assets/base/companies/ledn-white.svg" />
      </a>
    </div>
  </div>
  <br>
  <div class="flex-container companies">
    <div>
      <a href="http://www.turnkey.io/">
        <img src="assets/base/companies/turnkey-black.svg" />
      </a>
    </div>
    <div>
      <a href="https://exodus.com">
        <img src="assets/base/companies/exodus-white.svg" />
      </a>
    </div>
    <div>
      <a href="https://siderolabs.com">
        <img src="assets/base/companies/sidero-labs-white.png" />
      </a>
    </div>
    <div>
      <a href="https://zoom.com">
        <img src="assets/base/companies/zoom.webp" />
      </a>
    </div>
  </div>
  <br />
  <div class="flex-container companies">
    <div>
      <a href="https://mystenlabs.com">
        <img src="assets/base/companies/mysten-labs-white.svg" />
      </a>
    </div>
    <div>
      <a href="http://www.distributedglobal.com/">
        <img src="assets/base/companies/distributed-global.jpeg" />
      </a>
    </div>
    <div>
      <a href="http://www.hashicorp.io/">
        <img src="assets/base/companies/hashicorp-white.png" />
      </a>
    </div>
    <div>
      <a href="http://www.b1.com/">
        <img src="assets/base/companies/block-one-dark.svg" />
      </a>
    </div>
    <div>
      <a href="https://fitbit.com">
        <img src="assets/base/companies/fitbit-white.png" />
      </a>
    </div>
  </div>
  <br />
  <div class="flex-container companies">
    <div>
      <a href="http://www.falconx.io/">
        <img src="assets/base/companies/falconx-white.svg" />
      </a>
    </div>
    <div>
      <a href="https://dfns.co">
        <img src="assets/base/companies/dfns-color.png" />
      </a>
    </div>
    <div>
      <a href="https://polychain.capital/">
        <img src="assets/base/companies/polychain-capital.png" />
      </a>
    </div>
    <div>
      <a href="http://www.ankr.com/">
        <img src="assets/base/companies/ankr.png" />
      </a>
    </div>
  </div>
  <br />
  <br />
</section>

---

<section>
  <h1>Services</h1>
  <p>Distrust offers a wide range of services which are tailored to your organization. Whether you need a complete security assessment, need help building a security program from scratch, or want to focus on a specific aspect of your organization or system - we are here to help. Our experienced staff will work closely with you to understand your unique needs and create a tailor made solution that works for you.</p>
  <div class="flex-container">
    <div class="sub-container">
      <h3>Security Assessment</h3>
     <p>Holistic assessments of systems tailored to your needs. We leverage our in house expertise to analyze your system, thinking from first principles, in order to ensure its design, implementation and deployment all work coherently to establish a strong security posture.</p>
    </div>
    <div class="sub-container">
      <h3>Security Engineering</h3>
      <p>Our team consists of engineers who are experts in a wide range of areas ranging across applied cryptography, HSMs, secure coding using languages such as rust and golang, quorum authentication, kernel hardening, CI/CD hardening and more. Leverage our experience to ensure your systems are secure by design, and use the best available architecture patterns.</p>
    </div>
  </div>
  <div class="flex-container">
    <div class="sub-container">
      <h3>Retained Security Support</h3>
      <p>If you need additional security support, you can hire our team on retainer to have us available when you need us most. Our varied expertise allows us to assist you with a wide variety of security related challenges and activities.</p>
    </div>
    <div class="sub-container">
      <h3>Research & Development</h3>
      <p>Our team is active in both open source development in security research. We strive to build the tools that we feel will have the most impact on overall security and privacy of internet users.</p>
    </div>
  </div>
  <div class="button-container">
      <a class="action-button" href="/services.html">Learn more</a>
  </div>
</section>